{
  pkgs,
  buildPythonPackage,
  migen,
  litex,
  litespi,
  pyyaml,
}:
buildPythonPackage rec {
  pname = "liteeth";
  version = "2024.12";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "liteeth";
    rev = "${version}";
    hash = "sha256-qyyw/NEI21o+lkm8q9vT7O9PLkTgObe/xZKeFvy/4/4=";
  };

  buildInputs = [
    litex
  ];

  propagatedBuildInputs = [
    migen
  ];

  nativeCheckInputs = [
    litespi
    pyyaml
  ];

  doCheck = true;
}
