{
  pkgs,
  buildPythonPackage,
  litex,
  migen,
  liteeth,
  pytest,
}:
buildPythonPackage rec {
  pname = "liteiclink";
  version = "2024.12";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "liteiclink";
    rev = "${version}";
    hash = "sha256-eWetbj6nhaNS8PsQlkwAZ4MCgHy9CIgJBP8u4AP884M=";
  };

  buildInputs = [
    litex
    migen
  ];

  nativeCheckInputs = [
    pytest
    liteeth
  ];

  checkPhase = ''
    pytest -v test/
  '';
  doCheck = true;
}
